Update an existing Policy.

Prev Next
Put
/policies/{id}

Update an existing Policy.

Security
HTTP
Type bearer
Path parameters
id
string (uuid) Required

ID of the object.

Example12699e27-b584-464a-81ee-5b4784b6d425
Body parameters

Policy object.

Expand All
object
id
string (uuid)

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
name
string Required

Name of the object.

Exampleobject
notes
string

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
tags
Array of string

Array of tags.

Example[ "developer", "api-created" ]
string
disabled
boolean

If true, the Policy will be disregarded during authorization.

Defaultfalse
expression
string Required

A JavaScript expression that returns boolean. Criteria Scripts may be used by calling them as functions.

Examplevar result = false; if/*claims.user.groups*/(claims.user.groups && claims.user.groups.indexOf("developers") >= 0)/*end claims.user.groups*/ { return true; } if/*criteriaScript*/(admins(claims))/*end criteriaScript*/ { return true; } return result;
type
string

Type of the Policy. The assigned type will be enforced by not allowing enabling other types of features on the Policy.

Valid values[ "Access", "Device", "Dns", "Admin", "Mixed", "Stop" ]
Default"Mixed"
entitlements
Array of string

List of Entitlement IDs in this Policy.

string (uuid)
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
entitlementLinks
Array of string

List of Entitlement tags in this Policy.

string
Exampledeveloper
ringfenceRules
Array of string

List of Ringfence Rule IDs in this Policy.

string (uuid)
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
ringfenceRuleLinks
Array of string

List of Ringfence Rule tags in this Policy.

string
Exampledeveloper
tamperProofing
boolean

Will enable Tamper Proofing on desktop clients which will make sure the routes and ringfence configurations are not changed. Will be set to true if it's not provided and the type is "Device".

overrideSite
string (uuid)

Site ID where all the Entitlements of this Policy must be deployed. This overrides Entitlement's own Site and to be used only in specific network layouts. Otherwise the assigned site on individual Entitlements will be used.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
overrideSiteClaim
string

The path of a claim that contains the UUID of an override site. It should be defined as "claims.xxx.xxx" or "claims.xxx.xxx.xxx".

Exampleclaims.user.overrideSite
overrideNearestSite
boolean

Overrides the Entitlements Site according to location of the client and Sites where this feature is enabled.

applyFallbackSite
boolean

The Entitlements in this Policy will be available in the fallback Sites if the corresponding Sites are configured accordingly.

proxyAutoConfig
object

Client configures PAC URL on the client OS.

enabled
boolean
Defaultfalse
url
string

The URL to set on the Client OS.

Examplehttps://pac.company.com/file.pac
persist
boolean

If true Client will leave the PAC URL configured after signing out.

trustedNetworkCheck
object

Client suspends operations when it's in a trusted network.

enabled
boolean
Defaultfalse
dnsSuffix
string

Client checks if the DNS suffix has been configured on the OS to decide whether it's on a trusted network or not.

dnsSettings
Array of object

List of domain names with DNS server IPs that the Client should be using.

object

A domain name and a list of DNS servers.

domain
string Required

The domain for which the DNS servers should be used by the client.

ExampleDefault
servers
Array of string Required
string

The DNS servers to use for the domain.

Example192.168.1.22
registerTunIpsToActiveDirectory
boolean

Enables a Windows feature to register Appgate TUN IPs to the Active Directory for this domain.

clientSettings
object

Settings that admins can apply to the Client.

enabled
boolean

Enable Client Settings for this Policy.

Defaultfalse
entitlementsList
string

Show or hide Entitlement List on Client UI.

Valid values[ "Show", "Hide" ]
attentionLevel
string

Set the Attention Level automatically on Client and hide the option. "Show" will leave option to the user.

Valid values[ "Show", "Low", "Medium", "High" ]
autoStart
string

Set the Autostart setting automatically on Client and hide the option. "Show" will leave option to the user.

Valid values[ "Show", "Enabled", "Disabled" ]
addRemoveProfiles
string

Allow adding and removing profiles on Client.

Valid values[ "Show", "Hide" ]
keepMeSignedIn
string

Set the "Keep me signed-in" setting for credential providers automatically on Client and hide the option. "Show" will leave option to the user.

Valid values[ "Show", "Enabled", "Disabled" ]
samlAutoSignIn
string

Set the "SAML/Certificate auto sign-in" setting automatically on Client and hide the option. "Show" will leave option the user.

Valid values[ "Show", "Enabled", "Disabled" ]
quit
string

Show or hide "Quit" on Client UI.

Valid values[ "Show", "Hide" ]
signOut
string

Show or hide "Sign out" on Client UI.

Valid values[ "Show", "Hide" ]
suspend
string

Show or hide "Suspend" feature on Client UI.

Valid values[ "Show", "Hide" ]
newUserOnboarding
string

Show or hide the tooltips for new users on Client UI as well as the arrival messages on Portal. As of 6.4, Client has no longer tooltips so this setting only affects the arrival messages on Portal.

Valid values[ "Show", "Hide" ]
clientProfileSettings
object

Profiles that admins can apply to the Client.

enabled
boolean

Enable Client Profile Settings for this Policy.

profiles
Array of string

List of profiles.

string (uuid)
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
force
boolean

Makes the client skip the user prompt and apply the profiles immediately. Required to be true to apply the settings when authorization fails, such as in case of Stop Policies.

Defaultfalse
customClientHelpUrl
string

Set custom help URL on Client UI.

Examplehttps://sdphelp.appgate.com/userguide/vx.x/
administrativeRoles
Array of string

List of Administrative Role IDs in this Policy.

string (uuid)
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
Responses
200

Updated Policy.

Expand All
object
id
string (uuid)

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
name
string

Name of the object.

Exampleobject
notes
string

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
created
string (date-time)

Create date.

updated
string (date-time)

Last update date.

tags
Array of string

Array of tags.

Example[ "developer", "api-created" ]
string
disabled
boolean

If true, the Policy will be disregarded during authorization.

Defaultfalse
expression
string

A JavaScript expression that returns boolean. Criteria Scripts may be used by calling them as functions.

Examplevar result = false; if/*claims.user.groups*/(claims.user.groups && claims.user.groups.indexOf("developers") >= 0)/*end claims.user.groups*/ { return true; } if/*criteriaScript*/(admins(claims))/*end criteriaScript*/ { return true; } return result;
type
string

Type of the Policy. The assigned type will be enforced by not allowing enabling other types of features on the Policy.

Valid values[ "Access", "Device", "Dns", "Admin", "Mixed", "Stop" ]
Default"Mixed"
entitlements
Array of string

List of Entitlement IDs in this Policy.

string (uuid)
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
entitlementLinks
Array of string

List of Entitlement tags in this Policy.

string
Exampledeveloper
ringfenceRules
Array of string

List of Ringfence Rule IDs in this Policy.

string (uuid)
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
ringfenceRuleLinks
Array of string

List of Ringfence Rule tags in this Policy.

string
Exampledeveloper
tamperProofing
boolean

Will enable Tamper Proofing on desktop clients which will make sure the routes and ringfence configurations are not changed. Will be set to true if it's not provided and the type is "Device".

overrideSite
string (uuid)

Site ID where all the Entitlements of this Policy must be deployed. This overrides Entitlement's own Site and to be used only in specific network layouts. Otherwise the assigned site on individual Entitlements will be used.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
overrideSiteClaim
string

The path of a claim that contains the UUID of an override site. It should be defined as "claims.xxx.xxx" or "claims.xxx.xxx.xxx".

Exampleclaims.user.overrideSite
overrideNearestSite
boolean

Overrides the Entitlements Site according to location of the client and Sites where this feature is enabled.

applyFallbackSite
boolean

The Entitlements in this Policy will be available in the fallback Sites if the corresponding Sites are configured accordingly.

proxyAutoConfig
object

Client configures PAC URL on the client OS.

enabled
boolean
Defaultfalse
url
string

The URL to set on the Client OS.

Examplehttps://pac.company.com/file.pac
persist
boolean

If true Client will leave the PAC URL configured after signing out.

trustedNetworkCheck
object

Client suspends operations when it's in a trusted network.

enabled
boolean
Defaultfalse
dnsSuffix
string

Client checks if the DNS suffix has been configured on the OS to decide whether it's on a trusted network or not.

dnsSettings
Array of object

List of domain names with DNS server IPs that the Client should be using.

object

A domain name and a list of DNS servers.

domain
string

The domain for which the DNS servers should be used by the client.

ExampleDefault
servers
Array of string
string

The DNS servers to use for the domain.

Example192.168.1.22
registerTunIpsToActiveDirectory
boolean

Enables a Windows feature to register Appgate TUN IPs to the Active Directory for this domain.

clientSettings
object

Settings that admins can apply to the Client.

enabled
boolean

Enable Client Settings for this Policy.

Defaultfalse
entitlementsList
string

Show or hide Entitlement List on Client UI.

Valid values[ "Show", "Hide" ]
attentionLevel
string

Set the Attention Level automatically on Client and hide the option. "Show" will leave option to the user.

Valid values[ "Show", "Low", "Medium", "High" ]
autoStart
string

Set the Autostart setting automatically on Client and hide the option. "Show" will leave option to the user.

Valid values[ "Show", "Enabled", "Disabled" ]
addRemoveProfiles
string

Allow adding and removing profiles on Client.

Valid values[ "Show", "Hide" ]
keepMeSignedIn
string

Set the "Keep me signed-in" setting for credential providers automatically on Client and hide the option. "Show" will leave option to the user.

Valid values[ "Show", "Enabled", "Disabled" ]
samlAutoSignIn
string

Set the "SAML/Certificate auto sign-in" setting automatically on Client and hide the option. "Show" will leave option the user.

Valid values[ "Show", "Enabled", "Disabled" ]
quit
string

Show or hide "Quit" on Client UI.

Valid values[ "Show", "Hide" ]
signOut
string

Show or hide "Sign out" on Client UI.

Valid values[ "Show", "Hide" ]
suspend
string

Show or hide "Suspend" feature on Client UI.

Valid values[ "Show", "Hide" ]
newUserOnboarding
string

Show or hide the tooltips for new users on Client UI as well as the arrival messages on Portal. As of 6.4, Client has no longer tooltips so this setting only affects the arrival messages on Portal.

Valid values[ "Show", "Hide" ]
clientProfileSettings
object

Profiles that admins can apply to the Client.

enabled
boolean

Enable Client Profile Settings for this Policy.

profiles
Array of string

List of profiles.

string (uuid)
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
force
boolean

Makes the client skip the user prompt and apply the profiles immediately. Required to be true to apply the settings when authorization fails, such as in case of Stop Policies.

Defaultfalse
customClientHelpUrl
string

Set custom help URL on Client UI.

Examplehttps://sdphelp.appgate.com/userguide/vx.x/
administrativeRoles
Array of string

List of Administrative Role IDs in this Policy.

string (uuid)
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
400

JSON error. Check the JSON format.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

404

The requested resource can not be found.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

422

Request validation error. Check "errors" array for details.

Expand All
object

Http 422 error for object validation.

id
string

Machine readable error code.

message
string

Human readable error details.

errors
Array of object

List of fields with validation errors.

object
field
string

Name of the field that failed validation.

Examplename
message
string

Failure reason.

Examplemay not be null
500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.